Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051056 - internal compiler error: in find_outermost_region_in_block
Summary: internal compiler error: in find_outermost_region_in_block
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc
Version: 5.10
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-09 16:15 UTC by elecengineer_mina
Modified: 2016-06-20 12:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-15 05:56:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Preprocessed source (895.21 KB, text/x-csrc)
2014-01-09 16:15 UTC, elecengineer_mina
no flags Details

Description elecengineer_mina 2014-01-09 16:15:03 UTC
Created attachment 847717 [details]
Preprocessed source

Description of problem:
I am trying to compile Scalasca 2.0 profiler (http://www.scalasca.org/software/scalasca-2.x/download.html) on Centos 5 on a 64 bit machine.

The Gcc version is (Red Hat 4.1.2-54).

it gives me the following error:
internal compiler error: in find_outermost_region_in_block, at tree-cfg.c:4739


Steps to Reproduce:
1. Download Scalsca version 2.0
2. ./configure --without-mpi
3. make

Comment 1 Marek Polacek 2014-01-09 16:17:22 UTC
If this is GCC 4.1, then it's not GCC from the Developer Toolset.

Comment 2 Jakub Jelinek 2014-01-09 16:27:17 UTC
Indeed, the preprocessed source dump starts with
/usr/libexec/gcc/x86_64-redhat-linux/4.1.2/cc1plus

Comment 3 elecengineer_mina 2014-01-09 16:40:09 UTC
But this is what is provided in Centos 5


>> yum groupinstall 'Development Tools'

Output:
.
.
.
Package gcc-4.1.2-54.el5.x86_64 already installed and latest version
.
.
.
.


Thanks

Comment 4 Marek Polacek 2014-01-09 16:43:45 UTC
CentOS Development Tools are something completely different from Red Hat Developer Toolset.

Comment 5 elecengineer_mina 2014-01-09 16:49:53 UTC
Thank you..
But the output says contact redhat..that is why I posted here


Here is what I get:
"
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccPNeMaN.out file, please attach this to your bugreport.
"


Thank you again

Comment 10 Jeff Law 2014-01-15 05:56:32 UTC
Thanks for the bug report.  After investigation our engineers have indicated fixing this bug in the GCC 4.1 compiler on RHEL 5 would be too intrusive and risky at this stage in the RHEL 5 lifecycle.

Note that GCC 4.4 (gcc44 package) is available as an alternate compiler on RHEL 5 and according to our testing does not exhibit this problem.  Building with that compiler should work around that problem.

Additionally, GCC 4.7 and GCC 4.8 are available on RHEL 5 via the "Developer Toolset" product and also do not exhibit this problem.

Given the overall situation, we're going to close this bug as "wontfix".  We would strongly advise using gcc44 to avoid this problem.


Note You need to log in before you can comment on or make changes to this bug.